# How To Upload Charts

* Change tags in values.yaml
* Change chart version in Chart.yaml file
* Get into the relevant folder: sensors/runtime-sensors or service/runtime 
* Delete any file that is not part of the chart (such as .tgz package files)
* Run the command `helm package .`
* Run the command `helm lint <chart package>` and verify no errors
* Test using command `helm template <chart package>` and verify that the      change produces the correct yamls for all possible options (e.g using --set)
* Upload the package using the command:
  `curl -u<ENTPLUS_USERNAME>:<ENTPLUS_PASSWORD> -T <PATH_TO_FILE> "https://entplus.jfrog.io/artifactory/jfrun-runtime-charts/<service/sensor><TARGET_FILE_PATH>"`
  Service chart upload example:
  VERSION=runtime-100.XX.0.tgz ;curl -u<USER>:<API-TOKEN> -T $VERSION "https://entplus.jfrog.io/artifactory/jfrun-runtime-charts/service/$VERSION"
  Sensors chart upload example:
  VERSION=runtime-sensors-100.X.0.tgz; curl -u<USER>:<API_TOKEN> -T $VERSION "https://entplus.jfrog.io/artifactory/jfrun-runtime-charts/sensors/$VERSION"